受取納品書(Received Delivery Notes)
取引先から受領した納品書の登録・検収・却下を管理します。
|
エンドポイント
| GET | /api/v1/receive-delivery-notes | 受取納品書一覧を取得 |
| POST | /api/v1/receive-delivery-notes | 受取納品書を登録 |
| GET | /api/v1/receive-delivery-notes/{id} | 受取納品書を取得 |
| PATCH | /api/v1/receive-delivery-notes/{id} | 受取納品書を更新 |
| DELETE | /api/v1/receive-delivery-notes/{id} | 受取納品書を削除 |
| POST | /api/v1/receive-delivery-notes/{id}/confirm | 検収完了 |
| POST | /api/v1/receive-delivery-notes/{id}/reject | 却下 |
| GET | /api/v1/receive-delivery-notes/{id}/pdf | PDF を取得 |
GET
/api/v1/receive-delivery-notes受取納品書一覧を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
クエリパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
status | string | 任意 | ステータスで絞り込み(pending / confirmed / rejected) |
company_id | string | 任意 | 取引先 ID で絞り込み |
limit | integer | 任意 | 取得件数(デフォルト: 50, 最大: 200) |
offset | integer | 任意 | スキップ件数 |
コード例
curl "https://api.blueai.jp/api/v1/receive-delivery-notes" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/receive-delivery-notes受取納品書を登録
認証が必要です— セッション Cookie または Bearer トークンを含めてください
コード例
curl -X POST "https://api.blueai.jp/api/v1/receive-delivery-notes" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/receive-delivery-notes/{id}受取納品書を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | 受取納品書 ID |
コード例
curl "https://api.blueai.jp/api/v1/receive-delivery-notes/rdn_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"PATCH
/api/v1/receive-delivery-notes/{id}受取納品書を更新
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | 受取納品書 ID |
コード例
curl -X PATCH "https://api.blueai.jp/api/v1/receive-delivery-notes/rdn_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/receive-delivery-notes/{id}受取納品書を削除
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | 受取納品書 ID |
コード例
curl -X DELETE "https://api.blueai.jp/api/v1/receive-delivery-notes/rdn_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/receive-delivery-notes/{id}/confirm検収完了
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | 受取納品書 ID |
コード例
curl -X POST "https://api.blueai.jp/api/v1/receive-delivery-notes/rdn_123e4567e89b12d3a456426614174000/confirm" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/receive-delivery-notes/{id}/reject却下
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | 受取納品書 ID |
コード例
curl -X POST "https://api.blueai.jp/api/v1/receive-delivery-notes/rdn_123e4567e89b12d3a456426614174000/reject" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/receive-delivery-notes/{id}/pdfPDF を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | 受取納品書 ID |
コード例
curl "https://api.blueai.jp/api/v1/receive-delivery-notes/rdn_123e4567e89b12d3a456426614174000/pdf" \
-H "Cookie: better-auth.session_token=<token>"